summaryrefslogtreecommitdiffstats
path: root/extra/source/tightvnc
diff options
context:
space:
mode:
Diffstat (limited to 'extra/source/tightvnc')
-rw-r--r--extra/source/tightvnc/doinst.sh24
-rw-r--r--extra/source/tightvnc/slack-desc19
-rwxr-xr-xextra/source/tightvnc/tightvnc.SlackBuild128
-rw-r--r--extra/source/tightvnc/tightvnc.paths-and-perms.diff52
4 files changed, 223 insertions, 0 deletions
diff --git a/extra/source/tightvnc/doinst.sh b/extra/source/tightvnc/doinst.sh
new file mode 100644
index 000000000..8ce980e53
--- /dev/null
+++ b/extra/source/tightvnc/doinst.sh
@@ -0,0 +1,24 @@
+# Handle the incoming configuration files:
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/tightvncserver.conf.new
+config etc/rc.d/rc.vncservers.new
+config etc/rc.d/rc.vncservers.conf.new
+
+# Update the desktop database:
+if [ -x usr/bin/update-desktop-database ]; then
+ chroot . /usr/bin/update-desktop-database usr/share/applications > /dev/null
+2>&1
+fi
+
diff --git a/extra/source/tightvnc/slack-desc b/extra/source/tightvnc/slack-desc
new file mode 100644
index 000000000..4003e63af
--- /dev/null
+++ b/extra/source/tightvnc/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+tightvnc: tightvnc (remote control software)
+tightvnc:
+tightvnc: Virtual Network Computing (VNC) is a remote display system which
+tightvnc: allows you to view a desktop environment from anywhere on the Internet
+tightvnc: and from a wide variety of machine architectures.
+tightvnc: TightVNC is an enhanced VNC distribution. This package contains a
+tightvnc: client which will allow you to connect to other desktops running a
+tightvnc: VNC or a TightVNC server.
+tightvnc:
+tightvnc: tightvnc home: http://www.tightvnc.com/
+tightvnc:
diff --git a/extra/source/tightvnc/tightvnc.SlackBuild b/extra/source/tightvnc/tightvnc.SlackBuild
new file mode 100755
index 000000000..526b8f3d6
--- /dev/null
+++ b/extra/source/tightvnc/tightvnc.SlackBuild
@@ -0,0 +1,128 @@
+#!/bin/sh
+# Copyright 2007-2009 Eric Hameleers, Eindhoven, NL
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+#
+# Slackware SlackBuild script
+# ===========================
+# By: Eric Hameleers <alien@slackware.com>
+# For: tightvnc
+# Descr: remote control software
+# URL: http://www.tightvnc.com/
+# -----------------------------------------------------------------------------
+
+# Set initial variables:
+
+PRGNAM=tightvnc
+VERSION=${VERSION:-1.3.10}
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-1}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-${PRGNAM}
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+case "$ARCH" in
+ i486) SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
+ s390) SLKCFLAGS="-O2"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
+ x86_64) SLKCFLAGS="-O2 -fPIC"
+ SLKLDFLAGS="-L/usr/lib64"; LIBDIRSUFFIX="64"
+ ;;
+esac
+
+# Explode the package framework:
+cd $PKG
+ explodepkg $CWD/_$PRGNAM.tar.gz
+cd -
+
+cd $TMP
+rm -rf vnc_unixsrc
+tar xvf $CWD/${PRGNAM}-${VERSION}_unixsrc.tar.?z* || exit 1
+cd vnc_unixsrc || exit 1
+
+# Make sure ownerships and permissions are sane:
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Make vncserver use sane pathnames and executable permissions:
+zcat $CWD/tightvnc.paths-and-perms.diff.gz | patch -p1 --verbose || exit 1
+
+# Use xinit's Xclients script to start the session:
+cat vnc-xclients.patch | sed -e 's/Red Hat /Slackware /' | patch || exit 1
+
+xmkmf -a
+make CDEBUGFLAGS="$SLKCFLAGS" World || exit 1
+
+cd Xvnc
+ LDFLAGS="$SLKLDFLAGS" \
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./configure
+ make EXTRA_LIBRARIES="-lwrap -lnss_nis" CDEBUGFLAGS="$SLKCFLAGS" \
+ EXTRA_DEFINES="-DUSE_LIBWRAP=1"
+cd - # end 'cd Xvnc'
+
+# Manually install files:
+mkdir -p $PKG/usr/bin $PKG/usr/man/man1
+./vncinstall $PKG/usr/bin $PKG/usr/man
+
+mkdir -p $PKG/usr/share/tightvnc
+cp -aR classes $PKG/usr/share/tightvnc/
+
+mkdir $PKG/etc
+cp -a tightvncserver.conf $PKG/etc/tightvncserver.conf.new
+
+# Add documentation:
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENCE.TXT README WhatsNew ChangeLog \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/install/README.1st $PKG/usr/doc/$PRGNAM-$VERSION
+
+# Compress the man page(s):
+if [ -d $PKG/usr/man ]; then
+ find $PKG/usr/man -type f -name "*.?" -exec gzip -9f {} \;
+ for i in $(find $PKG/usr/man -type l -name "*.?") ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+fi
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Add a package description:
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.txz
+
diff --git a/extra/source/tightvnc/tightvnc.paths-and-perms.diff b/extra/source/tightvnc/tightvnc.paths-and-perms.diff
new file mode 100644
index 000000000..b6eb14f16
--- /dev/null
+++ b/extra/source/tightvnc/tightvnc.paths-and-perms.diff
@@ -0,0 +1,52 @@
+diff -ur vnc_unixsrc.orig/tightvncserver.conf vnc_unixsrc/tightvncserver.conf
+--- vnc_unixsrc.orig/tightvncserver.conf 2009-02-12 05:27:18.000000000 +0100
++++ vnc_unixsrc/tightvncserver.conf 2009-06-02 23:55:22.000000000 +0200
+@@ -19,15 +19,15 @@
+ # $geometry = "1024x768";
+ # $depth = 24;
+ # $desktopName = "X";
+-# $vncClasses = "/usr/local/vnc/classes";
++# $vncClasses = "/usr/share/tightvnc/classes";
+ # $vncUserDir = "$ENV{HOME}/.vnc";
+-# $fontPath = "unix/:7100";
++# $fontPath = "/usr/share/fonts/misc/,/usr/share/fonts/Type1/,/usr/share/fonts/75dpi/";
+ # $authType = "-rfbauth $vncUserDir/passwd";
+-# $colorPath = "/usr/lib/X11/rgb";
++# $colorPath = "/usr/share/X11/rgb";
+
+ ## Here is another example of setting the font path:
+ #
+-# $fontPath = "/usr/lib/X11/fonts/misc/"
++# $fontPath = "unix/:7100";
+ # $fontPath = "$fontPath,/usr/lib/X11/fonts/75dpi/";
+
+ ## You might wish to make your vnc directory under /tmp, to make sure
+diff -ur vnc_unixsrc.orig/vncinstall vnc_unixsrc/vncinstall
+--- vnc_unixsrc.orig/vncinstall 2002-03-19 12:44:02.000000000 +0100
++++ vnc_unixsrc/vncinstall 2009-06-02 23:51:54.000000000 +0200
+@@ -47,7 +47,7 @@
+ else
+ echo "Copying $f -> $bin_dst/`basename $f`"
+ cp -pf $f $bin_dst
+- chmod 0555 $bin_dst/`basename $f`
++ chmod 0755 $bin_dst/`basename $f`
+ fi
+
+ # Installing man pages
+diff -ur vnc_unixsrc.orig/vncserver vnc_unixsrc/vncserver
+--- vnc_unixsrc.orig/vncserver 2009-02-12 05:27:18.000000000 +0100
++++ vnc_unixsrc/vncserver 2009-06-02 23:51:39.000000000 +0200
+@@ -32,10 +32,11 @@
+ $geometry = "1024x768";
+ $depth = 24;
+ $desktopName = "X";
+-$vncClasses = "/usr/local/vnc/classes";
++$vncClasses = "/usr/share/tightvnc/classes";
+ $vncUserDir = "$ENV{HOME}/.vnc";
+-$fontPath = "unix/:7100";
++$fontPath = "/usr/share/fonts/misc/,/usr/share/fonts/Type1/,/usr/share/fonts/75dpi/";
+ $authType = "-rfbauth $vncUserDir/passwd";
++$colorPath = "/usr/share/X11/rgb";
+
+ # Read configuration from the system-wide and user files if present.
+